aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorepoch <epoch@thebackupbox.net>2020-04-14 06:31:33 -0500
committerepoch <epoch@thebackupbox.net>2020-04-14 06:31:33 -0500
commit9f5c79eff1a3fae473bbdd12afcb77875d8548af (patch)
tree5ccd16e5d337e7a3a1134887d5a71dc5f1b6bfcc
parent7cedbf16a4c71b8a5ba0646c35fd03f20ddbda24 (diff)
parent238552fcfc3ee9fec2bda0d29a5e1da823aec1f1 (diff)
downloadhackvr-9f5c79eff1a3fae473bbdd12afcb77875d8548af.tar.gz
hackvr-9f5c79eff1a3fae473bbdd12afcb77875d8548af.zip
Merge branch 'master' of ssh://lin.thebackupbox.net:65432/~/hackvr
-rwxr-xr-xshare/hackvr/examples/hackvr_term/hackvr_data_decode.sh3
-rw-r--r--share/hackvr/examples/hackvr_term/hackvr_term.c2
2 files changed, 3 insertions, 2 deletions
diff --git a/share/hackvr/examples/hackvr_term/hackvr_data_decode.sh b/share/hackvr/examples/hackvr_term/hackvr_data_decode.sh
index 307b6ff..85c64af 100755
--- a/share/hackvr/examples/hackvr_term/hackvr_data_decode.sh
+++ b/share/hackvr/examples/hackvr_term/hackvr_data_decode.sh
@@ -1,2 +1,3 @@
-#!/bin/sh
+#!/usr/bin/env bash
+set -eo pipefail
exec grep --line-buffered '^[^ ]* data ' | stdbuf -oL tr -s ' ' | stdbuf -oL cut '-d ' -f3- | stdbuf -o0 xxd -r -p
diff --git a/share/hackvr/examples/hackvr_term/hackvr_term.c b/share/hackvr/examples/hackvr_term/hackvr_term.c
index 40df2d1..b044498 100644
--- a/share/hackvr/examples/hackvr_term/hackvr_term.c
+++ b/share/hackvr/examples/hackvr_term/hackvr_term.c
@@ -60,7 +60,7 @@ void preload_glyphs() {
void hackvr_draw_character(int c,int r,const TMTCHAR *ch) {
char *line;
int i,ret=0;
- printf("term_%02d_%02d addshape %d 4 -1 -3 0 5 -3 0 5 7 0 -1 7 0\n",c,r,ch->a.bg+15);
+ //printf("term_%02d_%02d addshape %d 4 -1 -3 0 5 -3 0 5 7 0 -1 7 0\n",c,r,ch->a.bg+15);
for(i=0,line=glyphs[ch->c][0];line[0];i++,line=glyphs[ch->c][i]) {
ret=1;
printf("term_%02d_%02d addshape %d %s",c,r,ch->a.fg == -1 ? 17 : ch->a.fg + 15,line+strlen("XX addshape X"));